Bug 1024128 - Plugging in a projector shouldn't default to off
Plugging in a projector shouldn't default to off
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 19:12 EDT by Rodd Clarkson
Modified: 2015-06-29 08:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:45:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2013-10-28 19:12:01 EDT
Description of problem:

When I plug a projector into my laptop with a fresh install of F20, the project doesn't appear to respond, and it's not clear anything happened.


Version-Release number of selected component (if applicable):

I'm all up to date with software as of today, and while I've filed this under gnome-settings-daemon, I'm not sure this it quite the right place.  I've filed it here because the manual fix this this problem involved Gnome Settings.


How reproducible:

Until I manually intervened this happened each time I plugged in the projector.


Steps to Reproduce:
1. Plug in a projector.

Actual results:

The projector's display doesn't change, and nothing appears on the desktop to indicate a project was plugged in and that the system is aware of it.


Expected results:

I like it when the project becomes an extension of the desktop, but with a single 'desktop' for the projector, while the main laptop display can have multiple desktops.  Creating this 'extra' desktop doesn't interfere with anything (unlike mirror, or making it the main desktop)

Regardless, the projector should change to show that it's been plugged in and the system is aware of it. Even if this includes a settings menu appearing on the primary (know working) display to prompt for a usage type.

Alternatively, the system could pop up a message to say that a projector has been plugged in, that's it's defaulted to 'OFF' and what would you like to do with this projector.  The default to 'OFF' isn't a great option - someone just plugged the projector in, so it's safe to say they want it on and that they want to use it.


Additional info:

If I open Gnome Settings and go to Displays the project was listed, but as 'OFF'.  Once I selected the projector, and chose a suitable use option it worked fine (even after unplugging the projector and reconnecting it), but it wasn't at all clear that the system was even aware that a projector had been connected to the system.

I've just done a fresh install of F20 but I'm using my existing home directory.
Comment 1 Fedora End Of Life 2015-05-29 05:38:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 08:45:05 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.